#include<iostream>
using namespace std;

struct Block {
	float width;
	float height;
	float depth;
};

void swapBlocks(Block &b1, Block &b2) {
	Block temp = b1;
	b1 = b2;
	b2 = temp;
}

void printBlocks(Block &b1, Block &b2) {

	cout << "block1: [" << b1.width
		 << ", " << b1.height
		 << ", " << b1.depth
		 << "]" << endl;

	cout << "block2: [" << b2.width
		 << ", " << b2.height
		 << ", " << b2.depth
		 << "]" << endl;
}

int main() {
	
	Block b1 = {1, 1, 1};
	Block b2 = {2, 2, 2};
	cout << endl << "Initial blocks: " << endl;
	printBlocks(b1, b2);

	swapBlocks(b1, b2);
	cout << endl << "Swapped blocks: " << endl;
	printBlocks(b1, b2);

	return 0;
}
